<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>
    	
       
       <!-- View -->
        <record id="view_feosco_hr_course_master_form" model="ir.ui.view">
            <field name="name">feosco.hr.course.master.form</field>
            <field name="model">feosco.hr.course.master</field>
            <field name="arch" type="xml">
                <form string="Course Master edit" version="7.0">
	               	<sheet>
              			<group>
		                    <field name="name" required="1"/>
		                    <field name="type" readonly="1"/>
               			</group>
		               <notebook>
		               		<page string="Description">
			               		 <group>
			               		 		<field name="description" nolabel="1"/>
			               		 </group>
			               	</page>
		               </notebook>
	               </sheet>
                </form>
            </field>
        </record>

        <record id="view_feosco_hr_course_master_tree" model="ir.ui.view">
            <field name="name">feosco.hr.course.master.tree</field>
            <field name="model">feosco.hr.course.master</field>
            <field name="arch" type="xml">
                <tree string="Course Master list">
                	<field name="name"/>
                	<field name="description"/>
                </tree>
            </field>
        </record>

        <record id="view_feosco_hr_course_master_filter" model="ir.ui.view">
            <field name="name">feosco.hr.course.master.filter</field>
            <field name="model">feosco.hr.course.master</field>
            <field name="arch" type="xml">
                <search string="Course Master list">
                    <field name="name"/>
                    <field name="description"/>
                </search>
             </field>
         </record>
      
		<!-- Category -->
        <record id="action_feosco_hr_course_category" model="ir.actions.act_window">
            <field name="name">Category</field>
            <field name="res_model">feosco.hr.course.master</field>
            <field name="view_type">form</field>
            <field name="view_mode">form,tree</field>
            <field name="domain">[('type','=','category')]</field>
            <field name="context">{'type':'category'}</field>
            <field name="view_id" ref="view_feosco_hr_course_master_tree"/>
            <field name="search_view_id" ref="view_feosco_hr_course_master_filter"/>
        </record>
        
       
       				
       <!-- Level -->
        <record id="action_feosco_hr_course_level" model="ir.actions.act_window">
            <field name="name">Level</field>
            <field name="res_model">feosco.hr.course.master</field>
            <field name="view_type">form</field>
            <field name="view_mode">form,tree</field>
            <field name="domain">[('type','=','level')]</field>
            <field name="context">{'type':'level'}</field>
            <field name="view_id" ref="view_feosco_hr_course_master_tree"/>
            <field name="search_view_id" ref="view_feosco_hr_course_master_filter"/>
        </record>
        
       
       				
       	<!-- Method -->
       	<record id="action_feosco_hr_course_method" model="ir.actions.act_window">
            <field name="name">Method</field>
            <field name="res_model">feosco.hr.course.master</field>
            <field name="view_type">form</field>
            <field name="view_mode">form,tree</field>
            <field name="domain">[('type','=','method')]</field>
            <field name="context">{'type':'method'}</field>
            <field name="view_id" ref="view_feosco_hr_course_master_tree"/>
            <field name="search_view_id" ref="view_feosco_hr_course_master_filter"/>
        </record>
        
       
       				
       	<!-- Theme -->
       	
       	<record id="action_feosco_hr_course_theme" model="ir.actions.act_window">
            <field name="name">Theme</field>
            <field name="res_model">feosco.hr.course.master</field>
            <field name="view_type">form</field>
            <field name="view_mode">form,tree</field>
            <field name="domain">[('type','=','theme')]</field>
            <field name="context">{'type':'theme'}</field>
            <field name="view_id" ref="view_feosco_hr_course_master_tree"/>
            <field name="search_view_id" ref="view_feosco_hr_course_master_filter"/>
        </record>
        
        
        <!-- Rating -->
       	
       	<record id="action_feosco_hr_course_rating" model="ir.actions.act_window">
            <field name="name">Rating</field>
            <field name="res_model">feosco.hr.course.master</field>
            <field name="view_type">form</field>
            <field name="view_mode">form,tree</field>
            <field name="domain">[('type','=','rating')]</field>
            <field name="context">{'type':'rating'}</field>
            <field name="view_id" ref="view_feosco_hr_course_master_tree"/>
            <field name="search_view_id" ref="view_feosco_hr_course_master_filter"/>
        </record>
        
       
        
        
    </data>
</openerp>
